Name:       waydroid-macros
Version:    3
Release:    1
Summary:    macros for waydroid
License:    LGPL
BuildArch:  noarch
Requires:   (find if find else /usr/bin/find)
Requires:   (env if env else /usr/bin/env)
Source0:    macros.template
Provides:   %{_rpmconfigdir}/waydroid-find-provides


%if %{undefined _rpmmacrodir}
%define _rpmmacrodir %{_rpmconfigdir}/macros.d
%endif

%description
Macros for waydroid

%prep

%define macros %{_rpmmacrodir}/macros.waydroid
%define findprovides %{_rpmconfigdir}/waydroid-find-provides

%build
cat <<'EOF' > macros
%%_waydroid_require() Requires: waydroid(%%{1})
%%_waydroid_provide() Provides: waydroid(%%{1})
%%_waydroid_unit() waydroid(%%{1})
%%_waydroidextradir %%{_datadir}/waydroid-extra
%%_waydroid_name() Name: waydroid-%%{1}
%%find_waydroid_extra_provides  %%{expand:\ %%define _use_internal_dependency_generator 0
%%define __find_provides /usr/bin/env RPM_WAYDROID_DIR=%%{buildroot}/%%{_waydroidextradir} %{findprovides}  }

EOF

cat %{SOURCE0} >> macros

cat > findprovides <<'EOF'
!/bin/sh
if [ -d "$RPM_WAYDROID_DIR" ]; then
    /usr/bin/find "$RPM_WAYDROID_DIR" -type f -name '*' -printf "waydroid(%%P)\n"
fi
%{_rpmconfigdir}/find-provides $*
EOF

%install
mkdir -p %{buildroot}{%{_rpmmacrodir},%{_rpmconfigdir}}
install -m 644 macros %{buildroot}%{macros}
install -m 755 findprovides %{buildroot}%{findprovides}

%files
%attr(0644, root, root)  %{macros}
%attr(0755, root, root)  %{findprovides}

%changelog
* Mon Aug 21 2023 huakim tylyktar <zuhhaga@gmail.com> 3
- improved build_waydroid_extra_from_file

* Mon Aug 14 2023 huakim tylyktar <zuhhaga@gmail.com> 2
- added build_waydroid_extra_from_file
- renamed build_waydroid_extra to find_waydroid_extra_provides

* Mon Jul 31 2023 huakim tylyktar <zuhhaga@gmail.com> 1
- created spec file
